<?php
declare(strict_types=1);
namespace Simplyin\Simplyin_W_Plugin\Controller\Ajax\Widget;

use Simplyin\Simplyin_W_Plugin\Controller\Ajax\Abstract_Response;

class New_Account_Form_Response extends Abstract_Response {

	protected string $html = '';

	public function __construct( string $html = '', bool $success = true ) {
		$this->set_is_success( $success );
		$this->html = $html;
	}

	protected function get_array(): array {
		return [
			'html' => $this->html,
		];
	}

	public function get_html(): string {
		return $this->html;
	}

	public function set_html( string $html ): void {
		$this->html = $html;
	}
}
